--- old/usr/src/uts/common/vm/vm_as.c	2015-11-24 09:35:15.561650544 -0500
+++ new/usr/src/uts/common/vm/vm_as.c	2015-11-24 09:35:15.565844598 -0500
@@ -474,7 +474,7 @@
 		if (base + seg->s_size > addr) {
 			if (addr >= base || eaddr > base) {
 #ifdef __sparc
-				extern struct seg_ops segnf_ops;
+				extern const struct seg_ops segnf_ops;
 
 				/*
 				 * no-fault segs must disappear if overlaid.
@@ -882,9 +882,6 @@
 	klwp_t *lwp = ttolwp(curthread);
 	int is_xhat = 0;
 	int holding_wpage = 0;
-	extern struct seg_ops   segdev_ops;
-
-
 
 	if (as->a_hat != hat) {
 		/* This must be an XHAT then */
@@ -2088,7 +2085,7 @@
 int
 as_memory(struct as *as, caddr_t *basep, size_t *lenp)
 {
-	extern struct seg_ops segspt_shmops;	/* needs a header file */
+	extern const struct seg_ops segspt_shmops; /* needs a header file */
 	struct seg *seg;
 	caddr_t addr, eaddr;
 	caddr_t segend;
@@ -2192,7 +2189,7 @@
 	 * space reclaimed.
 	 */
 	for (seg = AS_SEGFIRST(as); seg != NULL; seg = AS_SEGNEXT(as, seg)) {
-		struct seg_ops *ov = seg->s_ops;
+		const struct seg_ops *ov = seg->s_ops;
 
 		/*
 		 * We have to check to see if the seg has
@@ -2632,7 +2629,7 @@
 	caddr_t eaddr;
 	faultcode_t fault_err = 0;
 	pgcnt_t pl_off;
-	extern struct seg_ops segspt_shmops;
+	extern const struct seg_ops segspt_shmops;
 
 	ASSERT(AS_LOCK_HELD(as, &as->a_lock));
 	ASSERT(seg != NULL);
